It seems that you're using an outdated browser. Some things may not work as they should (or don't work at all).
We suggest you upgrade newer and better browser like: Chrome, Firefox, Internet Explorer or Opera

×
avatar
tburger: Are you certain you've updated files on your server? Total Commander says that installer from 25th and the one I've downloaded few secs ago are identical
Try now?

Not sure what happened there, I might've not linked something...Anyways, please make sure you have setup_wings_classic_2.1.0.2.exe as that's the latest version.
avatar
cyboff: any news about Shadowgate's "October" update?
https://www.youtube.com/watch?v=lyy0r40T9co
working on it :)
avatar
JudasIscariot: working on it :)
avatar
cyboff: Nice! Thanks! Can't wait :D
Here you go :)

http://www.gog.com/forum/shadowgate/shadowgate_halloween_update_is_now_available